﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="ReleaseWithStaticLibs|Win32">
      <Configuration>ReleaseWithStaticLibs</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="ReleaseWithDlls|Win32">
      <Configuration>ReleaseWithDlls</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="DebugWithStaticLibs|Win32">
      <Configuration>DebugWithStaticLibs</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="DebugWithDlls|Win32">
      <Configuration>DebugWithDlls</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="ReleaseWithStaticLibs|x64">
      <Configuration>ReleaseWithStaticLibs</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="ReleaseWithDlls|x64">
      <Configuration>ReleaseWithDlls</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="DebugWithStaticLibs|x64">
      <Configuration>DebugWithStaticLibs</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="DebugWithDlls|x64">
      <Configuration>DebugWithDlls</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{F523A3D9-0D90-E985-CA29-10E441393BAE}</ProjectGuid>
    <SccProjectName />
    <SccLocalPath />
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)'=='ReleaseWithStaticLibs'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <UseOfMfc>false</UseOfMfc>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)'=='ReleaseWithDlls'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <UseOfMfc>false</UseOfMfc>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)'=='DebugWithStaticLibs'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseOfMfc>false</UseOfMfc>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)'=='DebugWithDlls'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <UseOfMfc>false</UseOfMfc>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Condition="'$(Platform)'=='Win32'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Condition="'$(Platform)'=='x64'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup>
    <_ProjectFileVersion>10.0.30319.1</_ProjectFileVersion>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|Win32'">..\..\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|Win32'">..\..\out\release10\build\plgpfengine\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|Win32'">false</LinkIncremental>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|Win32'">pfengine</TargetName>
    <IgnoreImportLibrary Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|Win32'">true</IgnoreImportLibrary>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|Win32'">..\..\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|Win32'">..\..\out\release10\build\plgpfengine\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|Win32'">false</LinkIncremental>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|Win32'">pfengine</TargetName>
    <IgnoreImportLibrary Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|Win32'">true</IgnoreImportLibrary>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|Win32'">..\..\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|Win32'">..\..\out\debug10\build\plgpfengine\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|Win32'">true</LinkIncremental>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|Win32'">pfengine</TargetName>
    <IgnoreImportLibrary Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|Win32'">true</IgnoreImportLibrary>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|Win32'">..\..\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|Win32'">..\..\out\debug10\build\plgpfengine\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|Win32'">true</LinkIncremental>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|Win32'">pfengine</TargetName>
    <IgnoreImportLibrary Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|Win32'">true</IgnoreImportLibrary>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|x64'">..\..\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|x64'">..\..\out\release10-x64\build\plgpfengine\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|x64'">false</LinkIncremental>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|x64'">pfengine</TargetName>
    <IgnoreImportLibrary Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|x64'">true</IgnoreImportLibrary>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|x64'">..\..\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|x64'">..\..\out\release10-x64\build\plgpfengine\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|x64'">false</LinkIncremental>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|x64'">pfengine</TargetName>
    <IgnoreImportLibrary Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|x64'">true</IgnoreImportLibrary>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|x64'">..\..\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|x64'">..\..\out\debug10-x64\build\plgpfengine\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|x64'">true</LinkIncremental>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|x64'">pfengine</TargetName>
    <IgnoreImportLibrary Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|x64'">true</IgnoreImportLibrary>
    <OutDir Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|x64'">..\..\</OutDir>
    <IntDir Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|x64'">..\..\out\debug10-x64\build\plgpfengine\</IntDir>
    <LinkIncremental Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|x64'">true</LinkIncremental>
    <TargetName Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|x64'">pfengine</TargetName>
    <IgnoreImportLibrary Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|x64'">true</IgnoreImportLibrary>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <StringPooling>true</StringPooling>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <ProgramDataBaseFileName>..\..\out\release10\build\plgpfengine\Win32\pfengine.pdb</ProgramDataBaseFileName>
      <PreprocessorDefinitions>NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_STATIC_LIBS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalIncludeDirectories>.;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PrecompiledHeaderOutputFile>..\..\out\release10\build\plgpfengine\plgpfengine.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>..\..\out\release10\build\plgpfengine\</AssemblerListingLocation>
      <ObjectFileName>..\..\out\release10\build\plgpfengine\</ObjectFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
    </ClCompile>
    <Link>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <IgnoreSpecificDefaultLibraries>LIBC;LIBCD;LIBCMT;LIBCMTD;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <OutputFile>..\..\pfengine.dll</OutputFile>
      <ProgramDatabaseFile>..\..\out\release10\build\plgpfengine\Win32\pfengine.pdb</ProgramDatabaseFile>
      <DelayLoadDLLs>;%(DelayLoadDLLs)</DelayLoadDLLs>
      <ImportLibrary>..\..\out\release10\build\plgpfengine\Win32\plgpfengine.lib</ImportLibrary>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>delayimp.lib;libcrystalspace.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>..\..\..\CS\out\release10\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\release10\libs;$(CRYSTAL)\libs\csutil\win32\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <TargetMachine>MachineX86</TargetMachine>
      <LargeAddressAware>true</LargeAddressAware>
    </Link>
    <Lib>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
    <PostBuildEvent>
      <Command>md ..\..\out\release10\bin 2&gt; nul
copy /y "$(TargetPath)" ..\..\out\release10\bin\
</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=10;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;..\..\plugins\propclass\engine;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32</AdditionalIncludeDirectories>
      <Culture>0x0409</Culture>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|Win32'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <StringPooling>true</StringPooling>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <ProgramDataBaseFileName>..\..\out\release10\build\plgpfengine\Win32\pfengine.pdb</ProgramDataBaseFileName>
      <PreprocessorDefinitions>NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_SHARED_LIBS;CEL_BUILD_SHARED_LIBS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalIncludeDirectories>.;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PrecompiledHeaderOutputFile>..\..\out\release10\build\plgpfengine\plgpfengine.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>..\..\out\release10\build\plgpfengine\</AssemblerListingLocation>
      <ObjectFileName>..\..\out\release10\build\plgpfengine\</ObjectFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
    </ClCompile>
    <Link>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <IgnoreSpecificDefaultLibraries>LIBC;LIBCD;LIBCMT;LIBCMTD;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <OutputFile>..\..\pfengine.dll</OutputFile>
      <ProgramDatabaseFile>..\..\out\release10\build\plgpfengine\Win32\pfengine.pdb</ProgramDatabaseFile>
      <DelayLoadDLLs>;%(DelayLoadDLLs)</DelayLoadDLLs>
      <ImportLibrary>..\..\out\release10\build\plgpfengine\Win32\plgpfengine.lib</ImportLibrary>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>delayimp.lib;libcrystalspace.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>..\..\..\CS\out\release10\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\release10\libs;$(CRYSTAL)\libs\csutil\win32\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <TargetMachine>MachineX86</TargetMachine>
      <LargeAddressAware>true</LargeAddressAware>
    </Link>
    <Lib>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
    <PostBuildEvent>
      <Command>md ..\..\out\release10\bin 2&gt; nul
copy /y "$(TargetPath)" ..\..\out\release10\bin\
</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=10;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;..\..\plugins\propclass\engine;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32</AdditionalIncludeDirectories>
      <Culture>0x0409</Culture>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>      <ProgramDataBaseFileName>..\..\out\debug10\build\plgpfengine\Win32\pfengine.pdb</ProgramDataBaseFileName>
      <PreprocessorDefinitions>_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_STATIC_LIBS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalIncludeDirectories>.;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PrecompiledHeaderOutputFile>..\..\out\debug10\build\plgpfengine\plgpfengine.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>..\..\out\debug10\build\plgpfengine\</AssemblerListingLocation>
      <ObjectFileName>..\..\out\debug10\build\plgpfengine\</ObjectFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <IgnoreSpecificDefaultLibraries>LIBC;LIBCD;LIBCMT;LIBCMTD;MSVCRT;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <OutputFile>..\..\pfengine.dll</OutputFile>
      <ProgramDatabaseFile>..\..\out\debug10\build\plgpfengine\Win32\pfengine.pdb</ProgramDatabaseFile>
      <DelayLoadDLLs>;%(DelayLoadDLLs)</DelayLoadDLLs>
      <ImportLibrary>..\..\out\debug10\build\plgpfengine\Win32\plgpfengine.lib</ImportLibrary>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>delayimp.lib;libcrystalspace_d.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>..\..\..\CS\out\debug10\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\debug10\libs;$(CRYSTAL)\libs\csutil\win32\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <TargetMachine>MachineX86</TargetMachine>
      <LargeAddressAware>true</LargeAddressAware>
    </Link>
    <Lib>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
    <PostBuildEvent>
      <Command>md ..\..\out\debug10\bin 2&gt; nul
copy /y "$(TargetPath)" ..\..\out\debug10\bin\
</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=10;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;..\..\plugins\propclass\engine;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32</AdditionalIncludeDirectories>
      <Culture>0x0409</Culture>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|Win32'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>      <ProgramDataBaseFileName>..\..\out\debug10\build\plgpfengine\Win32\pfengine.pdb</ProgramDataBaseFileName>
      <PreprocessorDefinitions>_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_SHARED_LIBS;CEL_BUILD_SHARED_LIBS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalIncludeDirectories>.;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PrecompiledHeaderOutputFile>..\..\out\debug10\build\plgpfengine\plgpfengine.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>..\..\out\debug10\build\plgpfengine\</AssemblerListingLocation>
      <ObjectFileName>..\..\out\debug10\build\plgpfengine\</ObjectFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <IgnoreSpecificDefaultLibraries>LIBC;LIBCD;LIBCMT;LIBCMTD;MSVCRT;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <OutputFile>..\..\pfengine.dll</OutputFile>
      <ProgramDatabaseFile>..\..\out\debug10\build\plgpfengine\Win32\pfengine.pdb</ProgramDatabaseFile>
      <DelayLoadDLLs>;%(DelayLoadDLLs)</DelayLoadDLLs>
      <ImportLibrary>..\..\out\debug10\build\plgpfengine\Win32\plgpfengine.lib</ImportLibrary>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>delayimp.lib;libcrystalspace_d.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>..\..\..\CS\out\debug10\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\debug10\libs;$(CRYSTAL)\libs\csutil\win32\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <TargetMachine>MachineX86</TargetMachine>
      <LargeAddressAware>true</LargeAddressAware>
    </Link>
    <Lib>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
    <PostBuildEvent>
      <Command>md ..\..\out\debug10\bin 2&gt; nul
copy /y "$(TargetPath)" ..\..\out\debug10\bin\
</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=10;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;..\..\plugins\propclass\engine;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32</AdditionalIncludeDirectories>
      <Culture>0x0409</Culture>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseWithStaticLibs|x64'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <StringPooling>true</StringPooling>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <ProgramDataBaseFileName>..\..\out\release10-x64\build\plgpfengine\x64\pfengine.pdb</ProgramDataBaseFileName>
      <PreprocessorDefinitions>NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_STATIC_LIBS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalIncludeDirectories>.;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PrecompiledHeaderOutputFile>..\..\out\release10-x64\build\plgpfengine\plgpfengine.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>..\..\out\release10-x64\build\plgpfengine\</AssemblerListingLocation>
      <ObjectFileName>..\..\out\release10-x64\build\plgpfengine\</ObjectFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
    </ClCompile>
    <Link>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <IgnoreSpecificDefaultLibraries>LIBC;LIBCD;LIBCMT;LIBCMTD;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <OutputFile>..\..\pfengine.dll</OutputFile>
      <ProgramDatabaseFile>..\..\out\release10-x64\build\plgpfengine\x64\pfengine.pdb</ProgramDatabaseFile>
      <DelayLoadDLLs>;%(DelayLoadDLLs)</DelayLoadDLLs>
      <ImportLibrary>..\..\out\release10-x64\build\plgpfengine\x64\plgpfengine.lib</ImportLibrary>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>delayimp.lib;libcrystalspace.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>..\..\..\CS\out\release10\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\release10\libs;$(CRYSTAL)\libs\csutil\win32\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <TargetMachine>MachineX64</TargetMachine>
      <LargeAddressAware>true</LargeAddressAware>
    </Link>
    <Lib>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
    <PostBuildEvent>
      <Command>md ..\..\out\release10-x64\bin 2&gt; nul
copy /y "$(TargetPath)" ..\..\out\release10-x64\bin\
</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=10;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;..\..\plugins\propclass\engine;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32</AdditionalIncludeDirectories>
      <Culture>0x0409</Culture>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='ReleaseWithDlls|x64'">
    <ClCompile>
      <Optimization>MaxSpeed</Optimization>
      <StringPooling>true</StringPooling>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <RuntimeLibrary>MultiThreadedDLL</RuntimeLibrary>
      <BufferSecurityCheck>false</BufferSecurityCheck>
      <ProgramDataBaseFileName>..\..\out\release10-x64\build\plgpfengine\x64\pfengine.pdb</ProgramDataBaseFileName>
      <PreprocessorDefinitions>NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_SHARED_LIBS;CEL_BUILD_SHARED_LIBS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalIncludeDirectories>.;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PrecompiledHeaderOutputFile>..\..\out\release10-x64\build\plgpfengine\plgpfengine.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>..\..\out\release10-x64\build\plgpfengine\</AssemblerListingLocation>
      <ObjectFileName>..\..\out\release10-x64\build\plgpfengine\</ObjectFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
    </ClCompile>
    <Link>
      <OptimizeReferences>true</OptimizeReferences>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <IgnoreSpecificDefaultLibraries>LIBC;LIBCD;LIBCMT;LIBCMTD;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <OutputFile>..\..\pfengine.dll</OutputFile>
      <ProgramDatabaseFile>..\..\out\release10-x64\build\plgpfengine\x64\pfengine.pdb</ProgramDatabaseFile>
      <DelayLoadDLLs>;%(DelayLoadDLLs)</DelayLoadDLLs>
      <ImportLibrary>..\..\out\release10-x64\build\plgpfengine\x64\plgpfengine.lib</ImportLibrary>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>delayimp.lib;libcrystalspace.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>..\..\..\CS\out\release10\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\release10\libs;$(CRYSTAL)\libs\csutil\win32\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <TargetMachine>MachineX64</TargetMachine>
      <LargeAddressAware>true</LargeAddressAware>
    </Link>
    <Lib>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
    <PostBuildEvent>
      <Command>md ..\..\out\release10-x64\bin 2&gt; nul
copy /y "$(TargetPath)" ..\..\out\release10-x64\bin\
</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>NDEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=10;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;..\..\plugins\propclass\engine;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32</AdditionalIncludeDirectories>
      <Culture>0x0409</Culture>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='DebugWithStaticLibs|x64'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>      <ProgramDataBaseFileName>..\..\out\debug10-x64\build\plgpfengine\x64\pfengine.pdb</ProgramDataBaseFileName>
      <PreprocessorDefinitions>_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_STATIC_LIBS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalIncludeDirectories>.;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PrecompiledHeaderOutputFile>..\..\out\debug10-x64\build\plgpfengine\plgpfengine.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>..\..\out\debug10-x64\build\plgpfengine\</AssemblerListingLocation>
      <ObjectFileName>..\..\out\debug10-x64\build\plgpfengine\</ObjectFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <IgnoreSpecificDefaultLibraries>LIBC;LIBCD;LIBCMT;LIBCMTD;MSVCRT;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <OutputFile>..\..\pfengine.dll</OutputFile>
      <ProgramDatabaseFile>..\..\out\debug10-x64\build\plgpfengine\x64\pfengine.pdb</ProgramDatabaseFile>
      <DelayLoadDLLs>;%(DelayLoadDLLs)</DelayLoadDLLs>
      <ImportLibrary>..\..\out\debug10-x64\build\plgpfengine\x64\plgpfengine.lib</ImportLibrary>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>delayimp.lib;libcrystalspace_d.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>..\..\..\CS\out\debug10\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\debug10\libs;$(CRYSTAL)\libs\csutil\win32\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <TargetMachine>MachineX64</TargetMachine>
      <LargeAddressAware>true</LargeAddressAware>
    </Link>
    <Lib>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
    <PostBuildEvent>
      <Command>md ..\..\out\debug10-x64\bin 2&gt; nul
copy /y "$(TargetPath)" ..\..\out\debug10-x64\bin\
</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=10;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;..\..\plugins\propclass\engine;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32</AdditionalIncludeDirectories>
      <Culture>0x0409</Culture>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='DebugWithDlls|x64'">
    <ClCompile>
      <Optimization>Disabled</Optimization>
      <MinimalRebuild>true</MinimalRebuild>
      <RuntimeTypeInfo>true</RuntimeTypeInfo>
      <RuntimeLibrary>MultiThreadedDebugDLL</RuntimeLibrary>      <ProgramDataBaseFileName>..\..\out\debug10-x64\build\plgpfengine\x64\pfengine.pdb</ProgramDataBaseFileName>
      <PreprocessorDefinitions>_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;WIN32;CS_USE_SHARED_LIBS;CEL_BUILD_SHARED_LIBS;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalIncludeDirectories>.;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
      <PrecompiledHeaderOutputFile>..\..\out\debug10-x64\build\plgpfengine\plgpfengine.pch</PrecompiledHeaderOutputFile>
      <AssemblerListingLocation>..\..\out\debug10-x64\build\plgpfengine\</AssemblerListingLocation>
      <ObjectFileName>..\..\out\debug10-x64\build\plgpfengine\</ObjectFileName>
      <WarningLevel>Level3</WarningLevel>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <ForceConformanceInForLoopScope>true</ForceConformanceInForLoopScope>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <CompileAs>Default</CompileAs>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <IgnoreSpecificDefaultLibraries>LIBC;LIBCD;LIBCMT;LIBCMTD;MSVCRT;%(IgnoreSpecificDefaultLibraries)</IgnoreSpecificDefaultLibraries>
      <OutputFile>..\..\pfengine.dll</OutputFile>
      <ProgramDatabaseFile>..\..\out\debug10-x64\build\plgpfengine\x64\pfengine.pdb</ProgramDatabaseFile>
      <DelayLoadDLLs>;%(DelayLoadDLLs)</DelayLoadDLLs>
      <ImportLibrary>..\..\out\debug10-x64\build\plgpfengine\x64\plgpfengine.lib</ImportLibrary>
      <AdditionalOptions>  %(AdditionalOptions)</AdditionalOptions>
      <AdditionalDependencies>delayimp.lib;libcrystalspace_d.lib;%(AdditionalDependencies)</AdditionalDependencies>
      <SuppressStartupBanner>true</SuppressStartupBanner>
      <AdditionalLibraryDirectories>..\..\..\CS\out\debug10\libs;..\..\..\CS\libs\csutil\win32\libs;$(CRYSTAL)\out\debug10\libs;$(CRYSTAL)\libs\csutil\win32\libs;%(AdditionalLibraryDirectories)</AdditionalLibraryDirectories>
      <TargetMachine>MachineX64</TargetMachine>
      <LargeAddressAware>true</LargeAddressAware>
    </Link>
    <Lib>
      <SuppressStartupBanner>true</SuppressStartupBanner>
    </Lib>
    <PostBuildEvent>
      <Command>md ..\..\out\debug10-x64\bin 2&gt; nul
copy /y "$(TargetPath)" ..\..\out\debug10-x64\bin\
</Command>
    </PostBuildEvent>
    <ResourceCompile>
      <PreprocessorDefinitions>_DEBUG;CS_DEBUG;CS_WIN32_CSCONFIG;__CRYSTAL_SPACE__;PACKAGE_NAME=CEL;_WINDOWS;PROJECTGEN_VERSION=10;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <AdditionalIncludeDirectories>.;..\..\plugins\propclass\engine;..\..;..\..\include;..\..\..\CS\include;..\..\..\CS\include\csutil\win32;$(CRYSTAL)\include;$(CRYSTAL)\include\csutil\win32</AdditionalIncludeDirectories>
      <Culture>0x0409</Culture>
    </ResourceCompile>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="..\..\msvc\plugin_impl.cpp" />
    <ClCompile Include="..\..\plugins\propclass\engine\engfact.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="..\..\plugins\propclass\engine\engfact.h" />
  </ItemGroup>
  <ItemGroup>
    <ResourceCompile Include="..\..\msvc\plgpfengine.rc" />
  </ItemGroup>
  <ItemGroup>
    <None Include="..\..\plugins\propclass\engine\pfengine.csplugin" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="libceltool.vcxproj">
      <Project>{FE8C31C7-8C7C-B982-16AE-C6CA39940D52}</Project>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>